AOZ Studio Beta - Bug #121

Limit Bob
02/05/2020 09:48 AM - Nick Morison

Status: Closed Start date: 02/05/2020
Priority: High Due date:

Assignee: David Baldwin % Done: 0%
Category: Estimated time: 2:00 hours
Target version: 0.9.5

Affected version: Beta RC2

Description

Limit bob isn't working - in the below code no bob is drawn at all when the limit bob command is un-commented (works as expected

in Amos):

#manifest:"amiga"
#fullScreen:true
#splashScreen:false

screen open 0,320,200,16, lowres

curs off: flash off: cls 0

// make a bob

ink 2 : bar 0,0 to 16,16 : get bob 1,0,0 to 16,16

box 64,100 to 256,150 // Box drawn to show limits

do
bob 1,x screen(x mouse),y screen(y mouse),l

cls 0O

// limit bob 1,64,100 to 256,150 // un-comment in this line - and there's no bob at all!

wait vbl
Loop

History

#1 - 02/22/2020 11:21 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.5

Fixed!

#2 - 03/07/2020 12:37 PM - Baptiste Pillot

- Description updated

#3 - 03/07/2020 12:39 PM - Baptiste Pillot

- Status changed from Resolved to Feedback

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/478
e run : https:/www.amos2.fr/run/tickleman/121
e result : still not working : | see non Bob.

#4 - 09/07/2020 08:55 AM - Brian Flanagan
- Affected version changed from 0.9.4 to 0.9.9.4-RC1

Re-tested in 0.9.9.4-RC1

Problem still exists.

#5 - 09/21/2020 07:48 AM - Brian Flanagan
https://www.amos2.fr/ide/Amos2/Ide/Program/478
https://www.amos2.fr/run/tickleman/121

- Estimated time set to 2:00 h
- Affected version changed from 0.9.9.4-RC1 to Beta RC2

#6 - 09/21/2020 07:49 AM - Brian Flanagan
- Priority changed from Normal to High

#7 - 10/23/2021 10:31 AM - David Baldwin
- Status changed from Feedback to Resolved

- Assignee changed from Francois Lionet to David Baldwin

Fixed along with several other related bugs in the instruction.

#8 - 02/13/2022 05:29 PM - David Baldwin

- Status changed from Resolved to Closed
